-- | BoardUtils.hs
-- A module which contain some helper functions for operate with
-- board.

module BoardUtils (
    createPost
) where

import Board

import System.Random
import System.Time

createPost :: Int -> Maybe String -> String -> IO Post
createPost replyto imgurl body = do
    datetime <- getClockTime
    password <- mapM (\_ -> randomRIO ('a', 'z')) [1..10]
    return Post { pnumber = 0
                , preplyto = replyto
                , pimgurl = imgurl
                , pbody = body
                , pthread = 0
                , pdatetime = datetime
                , ppassword = password
                }
