-- | Main.hs
-- A module which get config and start happstack server.

import Config
import Controllers
import BoardState

import Happstack.Server
import Happstack.State
import Happstack.Helpers

main = do
     putStrLn "reading config..."
     cf <- readConfig ".primularc"

     putStrLn "starting server..."
     startServer cf

startServer :: Config -> IO ()
startServer cf = smartserver nullConf{port = (cport cf)}
                             "primula"
                             (controllers cf)
                             stateProxy

stateProxy :: Proxy BoardWrap
stateProxy = Proxy
